Cards, prop trading & accounting
Update Credential
Updates a credential's encrypted data and/or flags, rejecting masked placeholders, and refreshes onboarding state.
POSThttps://api.toku.com/stablecoin-payroll/update-credential
Not available to API keys.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/update-credential' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"credentialsID": "string",
"data": {},
"isEmployeeIntegration": true,
"isPayrollIntegration": true,
"autoSyncEnabled": true,
"updatedAt": "string",
"confirmIdentityChange": true
}'200 response
{
"credential": {
"credentialsID": "string",
"name": "string",
"type": "ADP",
"orgID": "string",
"isEmployeeIntegration": true,
"isPayrollIntegration": true,
"autoSyncEnabled": true,
"isExpired": true,
"refreshing": true,
"nextRefreshAt": "string",
"createdAt": "string",
"updatedAt": "string",
"details": {},
"decryptionError": true
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
credentialsIDstringrequireddataobjectisEmployeeIntegrationbooleanisPayrollIntegrationbooleanautoSyncEnabledbooleanupdatedAtstringconfirmIdentityChangebooleanResponse
200Successful response
credentialobjectrequiredShow child attributes
credentialsIDstringrequirednamestring | nullrequiredtypestringrequiredAvailable options: ADP, BAMBOOHR, CSV_UPLOAD, DEEL, GREENHOUSE, KOTA_BENEFITS, QUICKBOOKS_ONLINE, UKG, WORKDAY
orgIDstringrequiredisEmployeeIntegrationboolean | nullrequiredisPayrollIntegrationboolean | nullrequiredautoSyncEnabledboolean | nullrequiredisExpiredboolean | nullrequiredrefreshingboolean | nullrequirednextRefreshAtstring | nullrequiredcreatedAtstringrequiredupdatedAtstringrequireddetailsobject | nullrequireddecryptionErrorboolean400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits